Update an AI Inbox Manager guidance
curl --request PATCH \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1f0d3-24db-754a-b915-097524e57fb7",
"organization_id": "01a1f0d3-24db-754a-b915-09767290dd86",
"agent_id": "01a1f0d3-24db-754a-b915-0977a933fa86",
"label": "Test AI Agent Guidance",
"instruction": "This is an AI agent guidance instruction",
"status": 1,
"category": 1,
"timestamp_created": "2026-11-18T22:42:11.803Z",
"timestamp_updated": "2026-11-18T22:42:11.803Z",
"basic_guidance_options": {
"tone": "professional",
"length": "standard"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
Update an AI Inbox Manager guidance
Update a guidance of an AI Inbox Manager. BASICS guidances keep an empty instruction and stay active; a guidance cannot be changed to or from the BASICS category.
Requires one of the following scopes: ai_agents:all, all:update, all:all
PATCH
/
api
/
v2
/
ai-agents
/
inbox-manager
/
{id}
/
guidances
/
{guidance_id}
Update an AI Inbox Manager guidance
curl --request PATCH \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1f0d3-24db-754a-b915-097524e57fb7",
"organization_id": "01a1f0d3-24db-754a-b915-09767290dd86",
"agent_id": "01a1f0d3-24db-754a-b915-0977a933fa86",
"label": "Test AI Agent Guidance",
"instruction": "This is an AI agent guidance instruction",
"status": 1,
"category": 1,
"timestamp_created": "2026-11-18T22:42:11.803Z",
"timestamp_updated": "2026-11-18T22:42:11.803Z",
"basic_guidance_options": {
"tone": "professional",
"length": "standard"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Path Parameters
Body
application/json
Response
The updated guidance
A guidance category or input box for an AI agent